Subject: git rebase chokes on directory -> symlink -> directory

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 07 May 2007 18:08:12 -0700

The following tree:

http://git.kernel.org/?p=linux/kernel/git/hpa/linux-2.6-newsetup.git;a=summary

... has one commit which changes arch/x86_64/boot from a directory to a
symlink, and another one which changes it back.  Apparently as a result,
git rebase dies horribly; on the first change it requires manual fixup,
but it crashes on the second, with or without -m.

The specific task attempted is to rebase the main branch of that tree
onto the current Linus tree, a989705c4cf6e6c1a339c95f9daf658b4ba88ca8.

	-hpa